ResourceBreadcrumbTag.BreadcrumbItem (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.ResourceBreadcrumbTag.BreadcrumbItem class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class ResourceBreadcrumbTag.BreadcrumbItem

    java.lang.Object
      org.hyperic.hq.ui.taglib.ResourceBreadcrumbTag.BreadcrumbItem

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  ResourceBreadcrumbTag

    protected class ResourceBreadcrumbTag.BreadcrumbItem

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`ResourceBreadcrumbTag.BreadcrumbItem()`
`ResourceBreadcrumbTag.BreadcrumbItem(java.lang.String url, java.lang.String resourceId, java.lang.String autoGroupId, java.lang.String label, AppdefEntityID appdefEntityId)`

Method Summary
`protected java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object obj)`
`AppdefEntityID` | `getAppdefEntityId()`
`java.lang.String` | `getAutoGroupId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getResourceId()`
`java.lang.String` | `getUrl()`
`boolean` | `isApplication()`
`boolean` | `isAutoGroup()`
`boolean` | `isGroup()`
`boolean` | `isPlatform()`
`boolean` | `isServer()`
`boolean` | `isService()`
`void` | `setAppdefEntityId(AppdefEntityID appdefEntityId)`
`void` | `setAutoGroupId(java.lang.String autoGroupId)`
`void` | `setLabel(java.lang.String label)`
`void` | `setResourceId(java.lang.String resourceId)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceBreadcrumbTag.BreadcrumbItem

    public ResourceBreadcrumbTag.BreadcrumbItem()

### ResourceBreadcrumbTag.BreadcrumbItem

    public ResourceBreadcrumbTag.BreadcrumbItem(java.lang.String url,
                                                java.lang.String resourceId,
                                                java.lang.String autoGroupId,
                                                java.lang.String label,
                                                AppdefEntityID appdefEntityId)

Method Detail

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getResourceId

    public java.lang.String getResourceId()

### setResourceId

    public void setResourceId(java.lang.String resourceId)

### getAutoGroupId

    public java.lang.String getAutoGroupId()

### setAutoGroupId

    public void setAutoGroupId(java.lang.String autoGroupId)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getAppdefEntityId

    public AppdefEntityID getAppdefEntityId()

### setAppdefEntityId

    public void setAppdefEntityId(AppdefEntityID appdefEntityId)

### isApplication

    public boolean isApplication()

### isAutoGroup

    public boolean isAutoGroup()

### isGroup

    public boolean isGroup()

### isPlatform

    public boolean isPlatform()

### isServer

    public boolean isServer()

### isService

    public boolean isService()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.